"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_index = require("../../../sheep/index.js");
require("../../../sheep/api/index.js");
require("../../../sheep/api/distri/score.js");
require("../../../sheep/request/index.js");
require("../../../sheep/config/index.js");
require("../../../sheep/store/index.js");
require("../../../sheep/store/app.js");
require("../../../sheep/api/promotion/diy.js");
require("../../../sheep/platform/index.js");
require("../../../sheep/platform/provider/wechat/index.js");
require("../../../sheep/platform/provider/wechat/miniProgram.js");
require("../../../sheep/api/member/auth.js");
require("../../../sheep/api/member/social.js");
require("../../../sheep/api/member/user.js");
require("../../../sheep/platform/provider/apple/index.js");
require("../../../sheep/platform/share.js");
require("../../../sheep/router/index.js");
require("../../../sheep/hooks/useModal.js");
require("../../../sheep/helper/index.js");
require("../../../sheep/helper/test.js");
require("../../../sheep/helper/digit.js");
require("../../../sheep/api/member/signin.js");
require("../../../sheep/helper/throttle.js");
require("../../../sheep/url/index.js");
require("../../../sheep/platform/pay.js");
require("../../../sheep/api/pay/order.js");
require("../../../sheep/store/user.js");
require("../../../sheep/store/cart.js");
require("../../../sheep/api/trade/cart.js");
require("../../../sheep/api/pay/wallet.js");
require("../../../sheep/api/trade/order.js");
require("../../../sheep/api/promotion/coupon.js");
require("../../../sheep/store/sys.js");
require("../../../sheep/store/modal.js");
require("../../../sheep/api/distri/share.js");
require("../../../sheep/api/distri/team.js");
require("../../../sheep/api/infra/file.js");
require("../../../sheep/api/member/address.js");
require("../../../sheep/api/member/point.js");
require("../../../sheep/api/migration/app.js");
require("../../../sheep/api/migration/chat.js");
require("../../../sheep/api/migration/index.js");
require("../../../sheep/api/migration/third.js");
require("../../../sheep/api/pay/channel.js");
require("../../../sheep/api/product/category.js");
require("../../../sheep/api/product/comment.js");
require("../../../sheep/api/product/favorite.js");
require("../../../sheep/api/product/history.js");
require("../../../sheep/api/product/spu.js");
require("../../../sheep/api/promotion/activity.js");
require("../../../sheep/api/promotion/article.js");
require("../../../sheep/api/promotion/bargain.js");
require("../../../sheep/api/promotion/combination.js");
require("../../../sheep/api/promotion/rewardActivity.js");
require("../../../sheep/api/promotion/seckill.js");
require("../../../sheep/api/system/area.js");
require("../../../sheep/api/system/voice.js");
require("../../../sheep/api/trade/afterSale.js");
require("../../../sheep/api/trade/brokerage.js");
require("../../../sheep/api/trade/config.js");
require("../../../sheep/api/trade/delivery.js");
require("../../../sheep/config/zIndex.js");
const _sfc_main = {
  __name: "commission-menu",
  setup(__props) {
    const state = common_vendor.reactive({
      menuList: [
        {
          img: "/static/images/commission_icon1.png",
          title: "我的团队",
          path: "/pages/commission/team"
        },
        {
          img: "/static/images/commission_icon2.png",
          title: "佣金明细",
          path: "/pages/commission/wallet"
        },
        {
          img: "/static/images/commission_icon3.png",
          title: "分销订单",
          path: "/pages/commission/order"
        },
        {
          img: "/static/images/commission_icon4.png",
          title: "推广商品",
          path: "/pages/commission/goods"
        },
        // {
        //   img: '/static/images/commission_icon5.png',
        //   title: '我的资料',
        //   path: '/pages/commission/apply',
        //   isAgentFrom: true,
        // },
        // todo @非繁人：邀请海报需要登录后的个人数据
        {
          img: "/static/images/commission_icon7.png",
          title: "邀请海报",
          path: "action:showShareModal"
        },
        // TODO @非繁人：缺少 icon
        {
          // img: '/static/images/commission_icon7.png',
          title: "推广排行",
          path: "/pages/commission/promoter"
        },
        {
          // img: '/static/images/commission_icon7.png',
          title: "佣金排行",
          path: "/pages/commission/commission-ranking"
        }
      ]
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.unref(sheep_index.sheep).$url.static("/static/images/title1.png"),
        b: common_vendor.f(state.menuList, (item, index, i0) => {
          return {
            a: common_vendor.unref(sheep_index.sheep).$url.static(item.img),
            b: common_vendor.t(item.title),
            c: index,
            d: common_vendor.o(($event) => common_vendor.unref(sheep_index.sheep).$router.go(item.path), index)
          };
        })
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-a53c0bfa"], ["__file", "D:/zx/mall-front-app/pages/commission/components/commission-menu.vue"]]);
wx.createComponent(Component);
